#include <iostream>

using namespace std;

int main()
{
    int n, w;
    cin >> n >> w;
    string s[n][w];
    int i, j;

    for(i = 0; i < n; i++)
        for(j = 0; j < w; j++)
        cin >> s[i][j];

    cout << -1;
    return 0;
}